Skip to main content
GET
/
rewards
/
monitor
/
address
List Monitoring Address
curl --request GET \
  --url https://api.paxos.com/v2/rewards/monitor/address \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/rewards/monitor/address"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/rewards/monitor/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "addresses": [
    {
      "address": "0xD6E012522DB5075694ac9907BABBDB4825A1c822",
      "id": "6477f17d-7c17-43a5-84cc-a6a104a89d81",
      "crypto_network": "ETHEREUM",
      "name": "Address 1",
      "created_at": "2025-03-21T14:45:22.682768Z"
    },
    {
      "address": "0xD6E012522DB5075694ac9907BABBDB4825A1c822",
      "id": "6477f17d-7c17-43a5-84cc-a6a104a89d81",
      "crypto_network": "ETHEREUM",
      "created_at": "2025-02-20T14:45:22.682768Z"
    },
    {
      "address": "14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ6",
      "id": "6477f17d-7c17-43a5-84cc-a6a104a89d81",
      "crypto_network": "SOLANA",
      "created_at": "2025-01-10T14:45:22.682768Z"
    }
  ],
  "next_page_cursor": "CgwI-Pr1vgYQyLLpswESJDM2NGU2MTgyLTRhZjctNDg4NC1iY2MxLTM0MThmNTA0MWYzYg"
}
The Rewards Engine API replaces this endpoint.New customers should use List Reward Addresses instead.
OAuth Scope
rewards:read_monitoring_address

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

address
string

On-chain address Paxos is monitoring for eligible reward activity. Must be valid for the specified network. For SOLANA specify the wallet account (ie: not a derived/token account like an ATA).

crypto_network
enum<string>

Network the address belongs to. Supported: ETHEREUM, SOLANA, INK, XLAYER.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Results are ordered by created_at. Specify the ordering of the results. Defaults to DESC.

Available options:
DESC,
ASC
page_cursor
string

Cursor for pagination

Response

200 - application/json

A successful response.

addresses
object[]
next_page_cursor
string